Bug 514906 - yum update pulls in spurious dependencies for python2.4
yum update pulls in spurious dependencies for python2.4
Status: CLOSED DUPLICATE of bug 491916
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-31 09:07 EDT by Kjetil T. Homme
Modified: 2014-01-21 01:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 14:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from yum upgrade (16.35 KB, text/plain)
2009-07-31 09:08 EDT, Kjetil T. Homme
no flags Details

  None (edit)
Description Kjetil T. Homme 2009-07-31 09:07:16 EDT
Description of problem:
Sometimes yum can choose the wrong provider of a file, and thereby pull in components from Tomcat, GNOME or KDE (all observed).

Version-Release number of selected component (if applicable):
yum-3.2.19-18.el5_3.1


How reproducible:
When yum's metadata is in this state, perfectly.  How to arrive at this metadata is unknown.

Steps to Reproduce:
1. yum upgrade
  
Actual results:
Updating:
 bind-libs                 x86_64 30:9.3.4-10.P1.el5_3.3 rhel5_os_updates 869 k
 bind-utils                x86_64 30:9.3.4-10.P1.el5_3.3 rhel5_os_updates 173 k
 python                    x86_64 2.4.3-24.el5_3.6       rhel5_os_updates 5.9 M
Installing for dependencies:
 alsa-lib                  x86_64 1.0.17-1.el5           rhel5_os_updates 414 k
 ant                       x86_64 1.6.5-2jpp.2           rhel5_os_updates 2.3 M
...
 xml-commons-resolver      x86_64 1.1-1jpp.12            rhel5_os_updates 171 k

Transaction Summary
================================================================================
Install     58 Package(s)         
Update       3 Package(s)         
Remove       0 Package(s)         

(full output in attachment)

Expected results:
No additional packages should be installed.

Additional info:

It seems to be related to this state:

# yum deplist gamin-python
  dependency: /usr/lib64/python2.4
   provider: tomcat5-admin-webapps.x86_64 5.5.23-0jpp.7.el5_3.2
   provider: python.x86_64 2.4.3-24.el5

tomcat5-admin-webapps is not installed on this system.  on another system, it listed kdelibs-devel.i386 as a provider of /usr/lib/python2.4.

after "yum clean all", we get the expected output of just the python packages from rhel5_os and rhel5_os_updates.


resolvedep on its own works:

# yum resolvedep /usr/lib64/python2.4
Excluding Packages in global exclude list
Finished
Importing additional filelist information
0:python-2.4.3-24.el5.x86_64

we tried to force reloads of primary and filelist (added a space to the files and updated the checksums in repomd.xml), but it didn't make any difference.  "yum clean dbcache" is sufficient.  in other words, it looks like some inconsistency has developed in the sqlite files.

another twist:  deleting *just* rhel5_os_updates/filelists.xml.gz.sqlite changes the behaviour, but it's still bogus:

--> Running transaction check
---> Package bind-libs.x86_64 30:9.3.4-10.P1.el5_3.3 set to be updated
---> Package python.x86_64 0:2.4.3-24.el5_3.6 set to be updated
---> Package bind-utils.x86_64 30:9.3.4-10.P1.el5_3.3 set to be updated
--> Processing Dependency: /usr/lib64/python2.4 for package: gamin-python
--> Processing Dependency: /usr/lib64/python2.4 for package: libxml2-python
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package perl-BSD-Resource.x86_64 0:1.28-1.fc6.1 set to be updated
Comment 1 Kjetil T. Homme 2009-07-31 09:08:06 EDT
Created attachment 355809 [details]
output from yum upgrade
Comment 2 seth vidal 2009-07-31 09:28:01 EDT
what's in your exclude list?
Comment 3 Kjetil T. Homme 2009-07-31 09:31:05 EDT
exclude=kernel* kmod-drbd heartbeat*
Comment 4 James Antill 2009-08-03 14:24:56 EDT

*** This bug has been marked as a duplicate of bug 491916 ***

Note You need to log in before you can comment on or make changes to this bug.